// An `async` function implicitly returns a promise

async function sayWhat(what) {
  return what
}

// Displays “Promise { 'Captain' }” or some equivalent
console.log(sayWhat('Captain'))

// Does display `Captain`, because we’re logging the fulfilled value of the
// returned promise.
sayWhat('Captain').then(console.log)

// Raising an exception turns into a rejected promise.
async function kaboom() {
  throw new Error('KABOOM')
}
kaboom().catch((err) => console.warn(err.message))
