// We can only use `await` in the immediate body of an `async` function, not in
// nested functions that would not be `async`.  In other words, `await` is not
// made possible by having an `async` closure around the current function.

async function thisCanWait(items) {
  items.forEach(function(item) {
    // Syntactically invalid: the current function (that is, the callback
    // function passed to `forEach`) is not `async` (and it wouldn’t make sense
    // for it to be).
    await delay(10)
    console.log(item)
  })

  console.log('Done')
}

console.log('Shall we?')
thisCanWait(['Alice', 'Bob', 'Claire'])

// Attempting to run this file will trigger an early error:
//
// SyntaxError: await is only valid in async function
