// No await? It’s pretty useless to declare the function as `async`

const { readdir } = require('fs').promises

needlessAsync(process.argv[2] || process.cwd()).then(console.log)

// There is really no reason to declare this function as `async`: it does not do
// any `await` and just returns an existing promise, which it will end up
// needlessly wrapping in another one.  Might as well strip the `async`, it’ll
// work just the same but be lighter, a tiny bit faster, and less confusing.
async function needlessAsync(path) {
  return readdir(path)
}
