// `await` on a promise

const { readdir } = require('fs').promises

listFiles(process.argv[2] || process.cwd())

async function listFiles(path) {
  try {
    const names = await readdir(path)
    // On a readable directory, suspends until the promise fulfills, then at
    // resume time `names` will be the fulfilled value.
    console.log('readdir says:', names)
  } catch (err) {
    // On an invalid directory, suspends until the promise rejects, then at
    // resume time will throw the underlying exception, which we catch here the
    // usual way.
    console.warn('readdir failed:', err.message)
  }
}
