// Iterating with async callbacks does not sequence the promises...
//
// This is not intrinsically bad: see 11-better-async-promise-all.js
// for a relevant use case.

const { delay } = require('awaiting')

const delays = [100, 200, 300]

console.time('forEach')
// Careful!  This code only starts three promises, it doesn’t wait for them to
// complete!  The `timeEnd` will happen after ~1ms, before the `timeLog` calls
// that therefore won’t find an active `"forEach"` label...
delays.forEach(async (ms) => {
  await delay(ms)
  console.timeLog('forEach', ms)
})
console.timeEnd('forEach')
